Subject: Re: GREP: Memory Exhausted
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: Shailesh Dadure <[email-masked]>
Date: Tue, 14 Apr 2009 15:41:04 +0200
List-Id: <cygwin.cygwin.com>

On Apr 14 19:36, Shailesh Dadure wrote:
> Hello All,
> 
> I am a support engineer from Microsoft trying to help my Customer
> Maziyar Samadzadeh. We have been notified by Maziyar that when they
> perform a Query on a bigger database using GREP we get the following
> error
> 
> GREP: Memory Exhausted
> 
> We have figured that at one point during the Query the application
> starts allocating memory drastically till we get this error. This
> happens probably within 30 seconds. On Further research we found that
> the GREP application has same behaviour on UNIX and LINUX environment.
> This seems to be same on Windows Environment too. However, in Windows
> the application cannot grow beyond 2GB so it crashes at that mark.
> 
> Do we have any know issues with GREP. If Yes, has this been taken care
> in later updates? Please update us regarding the issue as soon as
> possible.

This is almost surely the wrong mailing list to report this problem.
Since you found that the Cygwin version of grep doesn't behave
differently than the Unix and Linux versions, it's apparently a generic
problem in grep.

Consequentially the bug report should go to the grep bug reporting
mailing list which you can find in the BUGS section of the grep man
page.  Btw., the BUGS section in the grep man page also contains some
interesting hints about situations which require lots of memory and 
exponential time/space.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/